import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import {Course} from "../models/capability-transformation/course-list.model";

@Injectable()
export class NavBarService {
  public currentPage: BehaviorSubject<number> = new BehaviorSubject<number>(null);
  private selectedCourse: BehaviorSubject<Course> = new BehaviorSubject<Course>(new Course());
  public selectedCourse$ = this.selectedCourse.asObservable();
  setCourse(course: Course) {
    this.selectedCourse.next(course);
  }
  setCurrentPage(value: number) {
    console.log(value,'valueeeeeeeeeeeeeeeeeee')
    this.currentPage.next(value);
  }
}
